Bug 186018 - anaconda doesn't detected hibernated machine
anaconda doesn't detected hibernated machine
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Mike McLean
: 180311 (view as bug list)
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
Reported: 2006-03-20 20:44 EST by Han-Wen Nienhuys
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-27 15:00:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Han-Wen Nienhuys 2006-03-20 20:44:21 EST

with the pm-hibernate support in FC5, I never switch off my laptop, I just
hibernate it. Big mistake when upgrading Fedora: the CDs don't detect the
hibernation. They mount disks, and then decide that the swap space sig is
broken. After a reboot the dehibernated system gets completely confused, because
the FS was mounted r/w by anaconda.
Comment 1 Jeremy Katz 2006-03-21 11:41:19 EST
Hrm, we should probably do something about this for FC6.  Our current upgrade
finding is "look for filesystems we can mount, read /etc/fstab".

I guess we should add a "find all swaps, see if they're swsusp, warn really
loud" and then what we currently do
Comment 2 David Cantrell 2006-03-27 15:00:34 EST
Fixed in rawhide.  If a swap partition has a software suspend signature, a
dialog pops up explaining the situation.  You can skip the partition and the
installer won't do anything with it, you can format it as swap and continue, or
you can reboot.
Comment 3 David Cantrell 2006-03-29 09:47:55 EST
*** Bug 180311 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.